## libkf5eventviews 16.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(eventviews)

# ECM setup
find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)

set(EVENTVIEW_LIB_VERSION "5.2.2")
set(KF5_VERSION "5.19.0")
set(CALENDARUTILS_LIB_VERSION "5.2.0")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(QT_REQUIRED_VERSION "5.4.0")
set(KCALENDARCORE_LIB_VERSION "5.2.0")
set(AKONADICALENDAR_LIB_VERSION "5.2.0")
set(KMIME_LIB_VERSION "5.2.0")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.2.0")
set(LIBKDEPIM_LIB_VERSION "5.2.0")
set(KDGANTT2_LIB_VERSION "5.2.0")
set(CALENDARSUPPORT_LIB_VERSION "5.2.0")

find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KDGantt2 ${KDGANTT2_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(${EVENTVIEW_LIB_VERSION} VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)


add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(tests)
endif()
install( FILES eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5eventviews (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 10:18:41 +0200

libkf5eventviews (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Jul 2016 21:34:18 +0200

libkf5eventviews (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Add missing Breaks/Replasces
  * Add -dev dependencies needed by the cmake file
  * Add new upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 22:22:20 +0200

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicalendar-dev (>= 5.2.0~),
               libkf5calendarcore-dev (>= 5.2.0~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5calendarutils-dev (>= 5.2.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5identitymanagement-dev (>= 5.2.0~),
               libkf5kdgantt2-dev (>= 5.2.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/eventviews.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/eventviews.git

Package: libkf5eventviews5
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadicalendar-dev (>= 5.2.0~),
         libkf5calendarsupport-dev (>= 5.2.0~),
         libkf5calendarutils-dev (>= 5.2.0~),
         libkf5eventviews5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

## libkf5eventviews 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
-set(EVENTVIEW_LIB_VERSION "5.2.2")
+set(EVENTVIEW_LIB_VERSION "5.2.3")
 set(KF5_VERSION "5.19.0")
 set(CALENDARUTILS_LIB_VERSION "5.2.0")
 set(KDEPIMLIBS_LIB_VERSION "5.2.0")

=== debian/changelog ===
libkf5eventviews (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @00c7fd9062bee5ee8e1b8a77e12410fe7f5480c7 **

  * Initial release.
  * Add missing Breaks/Replasces

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:07 +0200

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicalendar-dev (>= 4:16.04.3~),
               libkf5calendarcore-dev (>= 4:16.04.3~),
               libkf5calendarsupport-dev (>= 4:16.04.3~),
               libkf5calendarutils-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5identitymanagement-dev (>= 16.04.3~),
               libkf5kdgantt2-dev (>= 4:16.04.3~),
               libkf5libkdepim-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkf5eventviews5
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadicalendar-dev (>= 4:16.04.3~),
         libkf5calendarsupport-dev (>= 4:16.04.3~),
         libkf5calendarutils-dev (>= 4:16.04.3~),
         libkf5eventviews5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

## libkf5eventviews 17.04.3

=== debian/changelog ===
libkf5eventviews (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Drop build depend on libkf5kdgantt2-dev. Replaced by libkgantt-dev
    from kdiagram.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install usr/share/locale/ by -data package
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:16 +0100

libkf5eventviews (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * New upstream release (16.08.1)
  * Adding new file to install

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:04 +0100

libkf5eventviews (4:16.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:16:41 +0200

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicalendar-dev (>= 4:17.04.3~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5calendarsupport-dev (>= 4:17.04.3~),
               libkf5calendarutils-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkf5eventviews5
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: korganizer (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadicalendar-dev (>= 4:17.04.3~),
         libkf5calendarsupport-dev (>= 4:17.04.3~),
         libkf5calendarutils-dev (>= 4:17.04.3~),
         libkf5eventviews5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

## libkf5eventviews 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)




set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "5.7.3")
set(AKONADI_LIB_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
set(KCALENDARCORE_LIB_VERSION "5.7.3")
set(AKONADICALENDAR_LIB_VERSION "5.7.3")
set(KMIME_LIB_VERSION "5.7.3")
set(LIBKDEPIM_LIB_VERSION "5.7.3")
set(CALENDARSUPPORT_LIB_VERSION "5.7.3")

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets UiTools)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "1.4.0")
find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)


add_subdirectory(src)
if (BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
   add_subdirectory(tests)
endif()
install( FILES eventviews.renamecategories eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5eventviews (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:57 +0000

libkf5eventviews (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:42 +0000

libkf5eventviews (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:26 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicalendar-dev (>= 4:17.04.3~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarsupport-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicalendar-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarsupport-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -51,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadicalendar-dev (>= 4:17.04.3~),
-         libkf5calendarsupport-dev (>= 4:17.04.3~),
-         libkf5calendarutils-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadicalendar-dev (>= 4:17.12.3~),
+         libkf5calendarsupport-dev (>= 4:17.12.3~),
+         libkf5calendarutils-dev (>= 4:17.12.3~),
          libkf5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/eventviews-([\d.]+).tar.xz

## libkf5eventviews 18.04.3

=== debian/changelog ===
libkf5eventviews (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicalendar-dev (>= 4:17.12.3~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarsupport-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicalendar-dev (>= 4:18.04.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarsupport-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
@@ -52,13 +52,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadicalendar-dev (>= 4:17.12.3~),
-         libkf5calendarsupport-dev (>= 4:17.12.3~),
-         libkf5calendarutils-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadicalendar-dev (>= 4:18.04.3~),
+         libkf5calendarsupport-dev (>= 4:18.04.3~),
+         libkf5calendarutils-dev (>= 4:18.04.3~),
          libkf5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM event handling - devel files
  This library provides an event creator for KDE PIM.
  .

## libkf5eventviews 18.08.3

=== debian/changelog ===
libkf5eventviews (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Add patch to keep ABI (EventViews::Prefs::createNewColor).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:03:20 +0100

libkf5eventviews (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:07 +0200

libkf5eventviews (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Use DebianABIManager to handle eventviews.
  * Update library from libkf5eventviews5 -> libkf5eventviews5abi1.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:20:22 +0200

libkf5eventviews (4:17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds. (Closes: #895495)
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the unused files for autopkgtests.
  * Add Build-Depends-Package in symbols file.
  * Remove unused ${shlibs:Depends} substvar from libkf5eventviews-dev.

 -- Pino Toscano <pino@debian.org>  Mon, 07 May 2018 05:11:30 +0200

libkf5eventviews (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:05 +0200

libkf5eventviews (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Add symbols files for libraries.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:21 +0100

libkf5eventviews (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:58:47 +0100

libkf5eventviews (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:19:29 +0200

libkf5eventviews (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:07 +0000

libkf5eventviews (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:26 +0000

libkf5eventviews (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:55 +0000

libkf5eventviews (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:10:03 +0000

libkf5eventviews (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 21:56:08 +0000

libkf5eventviews (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:33 +0000

libkf5eventviews (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:59 +0000

libkf5eventviews (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:46 +0000

libkf5eventviews (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:09 +0000

libkf5eventviews (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:43 +0000

libkf5eventviews (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:45 +0000

libkf5eventviews (4:16.08.1-1~1.gbpa5c73d) UNRELEASED; urgency=medium

  ** SNAPSHOT build @a5c73d5098d5b58f78c368e35e9165c7c6298a4a **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @7df828be0f7f033d1f7f2425803cdca4fd876024 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 21:12:33 +0200

libkf5eventviews (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:55 +0000

libkf5eventviews (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:05 +0000

libkf5eventviews (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:50:42 +0000

## libkf5eventviews 18.08.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
-if (POLICY CMP0053)
-    cmake_policy(SET CMP0053 NEW)
+if(POLICY CMP0053)
+  cmake_policy(SET CMP0053 NEW)
 endif()
 include(GenerateExportHeader)
 include(ECMSetupVersion)
@@ -26,18 +26,15 @@
 include(ECMAddTests)
 include(ECMCoverageOption)
 
-
-
-
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "5.7.3")
-set(AKONADI_LIB_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
-set(KCALENDARCORE_LIB_VERSION "5.7.3")
-set(AKONADICALENDAR_LIB_VERSION "5.7.3")
-set(KMIME_LIB_VERSION "5.7.3")
-set(LIBKDEPIM_LIB_VERSION "5.7.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.7.3")
+set(CALENDARUTILS_LIB_VERSION "5.9.3")
+set(AKONADI_LIB_VERSION "5.9.3")
+set(QT_REQUIRED_VERSION "5.9.0")
+set(KCALENDARCORE_LIB_VERSION "5.9.3")
+set(AKONADICALENDAR_LIB_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.9.3")
+set(LIBKDEPIM_LIB_VERSION "5.9.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets UiTools)
@@ -47,6 +44,7 @@
 find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -77,7 +75,7 @@
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
-  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
+  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
 install(FILES
@@ -90,16 +88,16 @@
 install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)
 
 install(FILES
-   ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
+  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
+add_subdirectory(src)
+if(BUILD_TESTING)
+  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
+  add_subdirectory(tests)
+endif()
 
-add_subdirectory(src)
-if (BUILD_TESTING)
-    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
-   add_subdirectory(tests)
-endif()
-install( FILES eventviews.renamecategories eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES eventviews.renamecategories eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== src/CMakeLists.txt ===
# The following macros can be defined to alter behavior.
# (if desired, use add_definitions() to define them)
#
# EVENTVIEWS_NODECOS - turns-off decoration plugins in views.
#                No idea why you would want to define this, perhaps to save
#                screen real estate? But there are a config options for that.

add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)

add_definitions(-DTRANSLATION_DOMAIN=\"libeventviews\")

if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(viewerapp)
endif()

option(EVENTVIEWS_NODECOS "Turn-off decoration plugins in views." FALSE)

if(EVENTVIEWS_NODECOS)
  add_definitions(-DEVENTVIEWS_NODECOS)
endif()

########### next target ###############

set(eventviews_LIB_SRCS
  eventview_p.cpp
  eventview.cpp
  helper.cpp
  prefs.cpp

  # Agenda view specific code.
  agenda/agenda.cpp
  agenda/agendaitem.cpp
  agenda/agendaview.cpp
  agenda/alternatelabel.cpp
  agenda/calendardecoration.cpp
  agenda/decorationlabel.cpp
  agenda/timelabels.cpp
  agenda/timelabelszone.cpp
  agenda/timescaleconfigdialog.cpp
  agenda/viewcalendar.cpp

  journal/journalframe.cpp
  journal/journalview.cpp

  list/listview.cpp

  month/monthgraphicsitems.cpp
  month/monthitem.cpp
  month/monthscene.cpp
  month/monthview.cpp

  multiagenda/multiagendaview.cpp

  todo/tododelegates.cpp
  todo/todomodel.cpp
  todo/incidencetreemodel.cpp

  todo/todoviewquickaddline.cpp
  todo/todoviewquicksearch.cpp
  todo/todoviewsortfilterproxymodel.cpp
  todo/todoviewview.cpp
  todo/todoview.cpp

  timeline/timelineview.cpp
  timeline/timelineitem.cpp
  timeline/timelineview_p.cpp

  whatsnext/whatsnextview.cpp
)

kconfig_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)

ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h IDENTIFIER CALENDARVIEW_LOG CATEGORY_NAME org.kde.pim.calendarview)
ki18n_wrap_ui(eventviews_LIB_SRCS
  agenda/timescaleedit_base.ui
)

add_library(KF5EventViews ${eventviews_LIB_SRCS})
generate_export_header(KF5EventViews BASE_NAME eventviews)

add_library(KF5::EventViews ALIAS KF5EventViews)

target_link_libraries(KF5EventViews
PUBLIC
  KF5::AkonadiCore
  KF5::CalendarSupport

  KF5::CalendarCore
  KF5::CalendarUtils
  KF5::AkonadiCalendar
PRIVATE
  KF5::Holidays
  KF5::Completion
  KF5::Service
  KF5::IconThemes
  KF5::GuiAddons
  KF5::I18n
  KF5::LibkdepimAkonadi
  KF5::Codecs
  KGantt
  KF5::AkonadiWidgets
)

target_include_directories(KF5EventViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews/;${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews>")
target_include_directories(KF5EventViews PUBLIC "$<BUILD_INTERFACE:${eventviews_SOURCE_DIR}/src;${eventviews_BINARY_DIR}/src;>")

set_target_properties(KF5EventViews PROPERTIES
  VERSION ${EVENTVIEWS_VERSION_STRING}
  SOVERSION ${EVENTVIEWS_SOVERSION}
  EXPORT_NAME EventViews
)

install(TARGETS
  KF5EventViews
  EXPORT KF5EventViewsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(eventviews_CamelCase_HEADERS
  HEADER_NAMES
  Helper
  Prefs
  EventView
  REQUIRED_HEADERS eventviews_CamelCase_HEADERS
  PREFIX EventViews
)

ecm_generate_headers(eventviews_CamelCaseagenda_HEADERS
  HEADER_NAMES
  CalendarDecoration
  AgendaView
  ViewCalendar
  REQUIRED_HEADERS eventviews_agenda_HEADERS
  PREFIX EventViews
  RELATIVE agenda
)

ecm_generate_headers(eventviews_CamelCasetodo_HEADERS
  HEADER_NAMES
  TodoView
  REQUIRED_HEADERS eventviews_todo_HEADERS
  PREFIX EventViews
  RELATIVE todo
)

ecm_generate_headers(eventviews_CamelCasemonth_HEADERS
  HEADER_NAMES
  MonthView
  REQUIRED_HEADERS eventviews_month_HEADERS
  PREFIX EventViews
  RELATIVE month
)

ecm_generate_headers(eventviews_CamelCaselist_HEADERS
  HEADER_NAMES
  ListView
  REQUIRED_HEADERS eventviews_list_HEADERS
  PREFIX EventViews
  RELATIVE list
)

ecm_generate_headers(eventviews_CamelCasejournal_HEADERS
  HEADER_NAMES
  JournalView
  REQUIRED_HEADERS eventviews_journal_HEADERS
  PREFIX EventViews
  RELATIVE journal
)

ecm_generate_headers(eventviews_CamelCasemultiagenda_HEADERS
  HEADER_NAMES
  MultiAgendaView
  ConfigDialogInterface
  REQUIRED_HEADERS eventviews_multiagenda_HEADERS
  PREFIX EventViews
  RELATIVE multiagenda
)

ecm_generate_headers(eventviews_CamelCasetimeline_HEADERS
  HEADER_NAMES
  TimeLineView
  REQUIRED_HEADERS eventviews_timeline_HEADERS
  PREFIX EventViews
  RELATIVE timeline
)

ecm_generate_headers(eventviews_CamelCasewhatsnext_HEADERS
  HEADER_NAMES
  WhatsNextView
  REQUIRED_HEADERS eventviews_whatsnext_HEADERS
  PREFIX EventViews
  RELATIVE whatsnext
)

ecm_generate_pri_file(BASE_NAME EventViews
  LIB_NAME KF5EventViews
  DEPS "Mime AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR
  ${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews
)

install(FILES
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_CamelCaseagenda_HEADERS}
  ${eventviews_CamelCasetodo_HEADERS}
  ${eventviews_CamelCasewhatsnext_HEADERS}
  ${eventviews_CamelCasetimeline_HEADERS}
  ${eventviews_CamelCasemultiagenda_HEADERS}
  ${eventviews_CamelCasejournal_HEADERS}
  ${eventviews_CamelCaselist_HEADERS}
  ${eventviews_CamelCasemonth_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews
  COMPONENT Devel
)

install(FILES
  ${eventviews_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_export.h
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_agenda_HEADERS}
  ${eventviews_todo_HEADERS}
  ${eventviews_whatsnext_HEADERS}
  ${eventviews_timeline_HEADERS}
  ${eventviews_multiagenda_HEADERS}
  ${eventviews_journal_HEADERS}
  ${eventviews_list_HEADERS}
  ${eventviews_month_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews
  COMPONENT Devel
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(FILES agenda/calendardecoration.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== tests/CMakeLists.txt ===
set(createcolorgui_test createcolorgui_test.cpp)
add_executable(createcolorgui_test ${createcolorgui_test})
ecm_mark_as_test(createcolorgui_test)
target_link_libraries(createcolorgui_test
  Qt5::Core
  Qt5::Gui
  KF5::EventViews
  KF5::I18n
)

=== debian/changelog ===
libkf5eventviews (4:18.08.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:40:46 +0800

## libkf5eventviews 18.12.3

=== debian/changelog ===
libkf5eventviews (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:24 +0100

libkf5eventviews (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New build dep on kholidays
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:06 +0000

libkf5eventviews (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:11:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.04.3~),
-               libkf5akonadicalendar-dev (>= 4:18.04.3~),
-               libkf5calendarcore-dev (>= 4:18.04.3~),
-               libkf5calendarsupport-dev (>= 4:18.04.3~),
-               libkf5calendarutils-dev (>= 4:18.04.3~),
+               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5akonadicalendar-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:18.12.3~),
+               libkf5calendarsupport-dev (>= 4:18.12.3~),
+               libkf5calendarutils-dev (>= 4:18.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacteditor-dev (>= 4:18.12.3~),
+               libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 18.04.3~),
-               libkf5libkdepim-dev (>= 4:18.04.3~),
-               libkf5mime-dev (>= 18.04.3~),
+               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5libkdepim-dev (>= 4:18.12.3~),
+               libkf5mime-dev (>= 18.12.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -52,10 +53,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.04.3~),
-         libkf5akonadicalendar-dev (>= 4:18.04.3~),
-         libkf5calendarsupport-dev (>= 4:18.04.3~),
-         libkf5calendarutils-dev (>= 4:18.04.3~),
+Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+         libkf5akonadicalendar-dev (>= 4:18.12.3~),
+         libkf5calendarsupport-dev (>= 4:18.12.3~),
+         libkf5calendarutils-dev (>= 4:18.12.3~),
          libkf5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 19.04.3

=== debian/changelog ===
libkf5eventviews (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:53:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicalendar-dev (>= 4:18.12.3~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarsupport-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicalendar-dev (>= 4:19.04.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarsupport-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -53,10 +53,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadicalendar-dev (>= 4:18.12.3~),
-         libkf5calendarsupport-dev (>= 4:18.12.3~),
-         libkf5calendarutils-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadicalendar-dev (>= 4:19.04.3~),
+         libkf5calendarsupport-dev (>= 4:19.04.3~),
+         libkf5calendarutils-dev (>= 4:19.04.3~),
          libkf5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 19.08.3

=== debian/changelog ===
libkf5eventviews (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:52 +0100

libkf5eventviews (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:04 +0100

libkf5eventviews (4:18.08.3-3) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:28 +0100

libkf5eventviews (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:44:26 +0200

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicalendar-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5guiaddons-dev (>= 5.60.0~),
               libkf5holidays-dev (>= 1:5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5service-dev (>= 5.60.0~),
               libkgantt-dev (>= 1.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadicalendar-dev (>= 4:19.08.3~),
         libkf5calendarsupport-dev (>= 4:19.08.3~),
         libkf5calendarutils-dev (>= 4:19.08.3~),
         libkf5eventviews5abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkf5eventviews5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5EventViews
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
